import '@fancy-design/coms/dist/style.css';
import { createApp } from 'vue';
import App from './App.vue';
import store from './store';
import router from './router';
import permission from './utils/permission';
import i18n from './i18n';
import installer from './as-needed';
import { useTable } from './utils/vxeTable';

import 'element-plus/theme-chalk/display.css';
import 'ele-admin-plus/es/style/nprogress.scss';
import './styles/themes/rounded.scss';
import './styles/themes/dark.scss';
import './styles/index.scss';
import 'uno.css';
import './styles/vxetheme.scss';
import './styles/common.scss';

const app = createApp(App);

app.use(store);
app.use(router);
app.use(permission);
app.use(i18n);
app.use(installer);

document.title = import.meta.env.VITE_APP_TITLE || 'Default Title';
app.mount('#app');
useTable(app);
